[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'go32' (#rtl)

# set_rm_interrupt

Set real mode interrupt handler

## Declaration

Source position: go32.pp line 136

`function set_rm_interrupt(`
`vector: Byte;`
`const intaddr: tseginfo`
`):Boolean;`

## Description

Sets a real mode interrupt handler.

Parameters:

vector
  the interrupt vector number to set.
intaddr
  address of new interrupt vector.

Return values: True if successful, otherwise False.

Remark: | The address supplied MUST be a real mode segment address, not a selector:offset address. So the interrupt handler must either reside in dos memory (below 1 Mb boundary) or the application must allocate a real mode callback address with get_rm_callback.

## Errors

Check the int31error variable.

## See also

get_rm_interrupt |  | Get real mode interrupt vector
set_pm_interrupt |  | Set protected mode interrupt handler
get_pm_interrupt |  | Return protected mode interrupt handler
get_rm_callback |  | Return real mode callback